Subject: Re: bug#23902: 25.1.50; Strange warning on string-collate-equalp's docstring

From: [email-masked] (Óscar Fuentes)
Date: Wed, 06 Jul 2016 17:46:39 +0200

Eli Zaretskii <[email-masked]> writes:

>> I also have trouble to understand.  How can I compare file names modulo
>> collate-equality, if not with this function?
>
> With string=, of course.  (Or, better yet, with file-equal-p, but
> that's a different story.)

I understand why comparing file names with string-collate-equalp is a
bad idea (it can return t for cases where the names are different from
the POV of the file system) but then explaining this in full and
pointing to file-equal-p doesn't take too much space (about the same as
the current note, I'll say).

(using string= for comparing file names is a bad idea for the same
reason idea when the FS is case-insensitive, BTW)

>> But we are speaking about the docstring of `string-collate-equal-p'.  It
>> is not clear here how it (as an equivalence predicate) could be useful
>> for sorting at all.
>
> If it is not useful, then the issue against which the note warns
> doesn't exist, does it?

Putting notes about non-existing issues is surely confusing, isn't it?